Skip to main content
GET
/
voice
/
{prompt_id}
Get a voice prompt by ID
curl --request GET \
  --url https://restapi.deepdub.ai/api/v1/voice/{prompt_id} \
  --header 'x-api-key: <api-key>'
{
  "prompt": {
    "id": "vp_12345abcde",
    "title": "Professional Narrator",
    "name": "Professional Female Voice",
    "locale": "en-US",
    "text": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "speakerId": "<string>",
    "gender": "FEMALE",
    "speakingStyle": "narrative"
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Must start with dd- prefix.

Headers

x-api-key
string
default:dd-00000000000000000000000065c9cbfe
required

API Key

Path Parameters

prompt_id
string
required

Voice Prompt ID

Response

Voice prompt details

prompt
object

A voice prompt representing a cloned or uploaded voice